/*
  Smart Dog Play - 2ND CPX
  This code is part of the Smart Dog Play 2-codes CPX.
  This is the code for the second CPX that is placed inside a box.
  It senses when the Smart Dog Play lands inside the box and plays a sound and notifies the Blynk.
  THIS CODE MUST BE IN THE SAME LIBRARY WITH THE coin.h FILE
*/

#define BLYNK_PRINT SerialUSB
#define BLYNK_DEBUG SerialUSB
#define EspSerial Serial1
#define ESP8266_BAUD 9600
#include <ESP8266_Lib.h>
#include <BlynkSimpleShieldEsp8266.h>
#include <Adafruit_CircuitPlayground.h>
#include <Wire.h>
#include <SPI.h>
#include "coin.h"

ESP8266 wifi(&EspSerial);
char auth[] = "**"; // <<<< FILL YOUR AUTH. KEY HERE
char ssid[] = "**"; // <<<< FILL HERE YOUR WIFI NETWORK'S NAME HERE
char pass[] = "**"; // <<<< FILL HERE YOUR WIFI NETWORK'S PASSWORD

void setup() {
  CircuitPlayground.begin();
  SerialUSB.begin(9600);
  EspSerial.begin(ESP8266_BAUD);
  delay(10);
  Blynk.begin(auth, wifi, ssid, pass);
}

void loop() {
  Blynk.run();
  // Checks the microphone for sensing the Smart Dog Play
  if (CircuitPlayground.mic.soundPressureLevel(10) > 70) {
    // Plays the coin sound and sends a signal to Blynk to activate Integromat
    CircuitPlayground.speaker.playSound(audio, sizeof(audio), SAMPLE_RATE);
    Blynk.virtualWrite(V5, 1);
    CircuitPlayground.speaker.end();
    delay(10000);
  }
}
